{#继承父模板#}
{% extends 'UserCenter-base.html' %}
{% load static %}
{% load message_extras %}

{#重写与父模板内容不同的块，其他的内容全部继承#}
{% block MainContent %}
    <!-- 具体内容 -->
    <div class="PostShortcut">
        <div class="Post ProfileActivities" id="Profile-activities">

            <div class="Post-header">
                <h4 class="Post-headerText"><span>我的评论</span></h4>
                <div class="Post-headerOptions">
                    <div>
                        <label>
                            <select class="com-opt" onchange="window.location = this.value">
                                <option value="{% url 'comment' loginuser=user.account %}"
                                        {% ifequal '/usercenter/comments/' request.path|slice:'21' %}selected{% endifequal %}>
                                    按时间排序
                                </option>
                                {#                                <option value="{% url 'comments_votes' loginuser=user.account %}"#}
                                {#                                        {% ifequal '/usercenter/comments/by_votes' request.path|slice:'29' %}selected{% endifequal %}>#}
                                {#                                    按赞同排序#}
                                {#                                </option>#}
                            </select>
                        </label>
                    </div>
                </div>
            </div>


            {% if not comments_counts %}
                <div class="no_show">
                    <div>还没有评论</div>
                </div>
            {% endif %}

            <div>
                {#一个奇怪的问题，div加上tabindex="0"，在chrome点击这个div区域会出现蓝色边框#}
                {% for comment in page %}
                    <div class="Post-item">
                        <div class="small_post" {% if comment.img|is_img %}style="height: 410px"{% endif %}>
                            <div class="user-info">
                                <div class="profilepicture">
                                    <a href="/usercenter/{{ comment.post.initiator.account }}">
                                        <img width="50" height="50" src="{{ comment.post.initiator.ProfilePicture }}"
                                             style="border-radius:50% 50%">
                                    </a>
                                </div>
                                <div class="account-info">
                                    <div class="account">
                                        <a href="/usercenter/{{ comment.post.initiator.account }}" style="color:black;">
                                            {{ comment.post.initiator.nickname }}
                                        </a>
                                    </div>
                                    <div class="time">
                                        发布于：{{ comment.time }}
                                    </div>
                                </div>

                            </div>
                            <div class="text" {% if comment.img|is_img %}style="height: 290px"{% endif %}>
                                <div class="title">
                                    <a href="/post_detail/{{ comment.post.id }}"
                                       style="text-decoration:none;color:black;">
                                        {{ comment.post.title }}
                                    </a>
                                </div>
                                <div class="content">
                                  {% if comment.post.topic %}
                                        <div style="color:orange">
                                            #{{ comment.post.topic.title }}#
                                        </div>
                                    {% endif %}
                                    <a href="/post_detail/{{ comment.post.id }}"
                                       style="text-decoration:none;color:black;">
                                        {% if comment.discussion|length > 60 %}
                                            {{ comment.discussion|slice:60 }}...
                                        {% else %}
                                            {{ comment.discussion }}
                                        {% endif %}
                                    </a>
                                </div>
                                {% if comment.img|is_img %}
                                    <div class="picture" id="s_post{{ comment.post.id }}"
                                         data-src="{{ comment.img }}">
                                        <img width="200" id="picture" height="200" src="{{ comment.img }}" alt>
                                    </div>
                                {% endif %}
                            </div>
                            {#如果会话中没有登录账户，那么不能点击这三个按钮；否则除了前端样式改变，还需要从数据库中获取样式，#}
                            {#这里通过所有外键是帖子的集合判断是否有点赞、反对、收藏#}
                            {% if request.session.user_account %}
                                <div class="handle" id="small_post{{ comment.post.id }}">
                                    <li class="like"
                                        style="color:{% post_color_like request.session.user_account comment.post.id %}"
                                        data-a="{{ comment.post.id }}"><span class="zan"><i
                                            class="{% post_style_like request.session.user_account comment.post.id %}"
                                            style="margin-right:3px"></i>点赞</span>
                                    </li>
                                    <li class="dislike"
                                        style="color:{% post_color_oppose request.session.user_account comment.post.id %}"
                                        data-a="{{ comment.post.id }}"><span
                                            class="fandui"><i
                                            class="{% post_style_oppose request.session.user_account comment.post.id %}"
                                            style="margin-right:3px"></i>反对</span>
                                    </li>
                                    <li class="collect"
                                        style="color:{% post_color_collect request.session.user_account comment.post.id %}"
                                        data-a="{{ comment.post.id }}"><span
                                            class="shoucang"><i
                                            class="{% post_style_collect request.session.user_account comment.post.id %}"
                                            style="margin-right:3px"></i>收藏</span>
                                    </li>
                                </div>
                            {% else %}
                                <div class="handle">
                                    <li class="like" style="color: #808080;cursor: default"><span><i
                                            class="fa fa-thumbs-o-up" style="margin-right:3px"></i>点赞</span></li>
                                    <li class="dislike" style="color:#808080;cursor: default"><span><i
                                            class="fa fa-thumbs-o-down" style="margin-right:3px"></i>反对</span></li>
                                    <li class="collect" style="color:#808080;cursor: default"><span><i
                                            class="fa fa-star-o" style="margin-right:3px"></i>收藏</span>
                                    </li>
                                </div>
                            {% endif %}
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}